LOCALE(1)

NAME
locale - get locale-specific information

SYNOPSIS
locale [-a | -m]

DESCRIPTION
If locale is invoked without any arguments, the current locale configuration is shown.

The options are as follows:

-a  Display a list of supported locales.

-m  Display a list of supported character sets.

ENVIRONMENT
The locale configuration consists of the following environment variables:

LC_ALL
    Overrides all other LC_* variables below.
LC_COLLATE
    Locale for string collation routines.
LC_CTYPE
    Locale for character set.
LC_MONETARY
    Locale for formatting monetary values.
LC_NUMERIC
    Locale for formatting numbers.
LC_TIME
    Locale for formatting dates and times.
LANG
    Fallback if any of the above is unset.

EXIT STATUS

SEE ALSO
setlocale(3)

STANDARDS
The locale utility implements a subset of the p1003.1-2008 specification.

HISTORY
The locale utility was first standardized in the xpg4.

It was rewritten from scratch for OpenBSD 5.4 during the 2013 Toronto hackathon.

AUTHORS
-nosplit Stefan Sperling <stsp@openbsd.org> with contributions from Philip Guenther <guenther@openbsd.org> and Jeremie Courreges-Anglas <jca@openbsd.org>.

BUGS
The list of supported locales is perpetually incomplete.